Subject: Re: [netconf] New Version Notification for draft-liu-netconf-ext-obtain-ds-diff-00.txt

From: Qin Wu <[email-masked]>
Date: Thu, 24 Feb 2022 08:00:44 +0000

Harold:
It is not your fault, :-),  It is normal to bring up the idea bumping against others,
The more important thing is that the problem you brought up is worth discussing and exploring, which has been proved.:-)
Thank for bringing your idea for open discussion.

-Qin
发件人: netconf [mailto:[email-masked]] 代表 Harold Liu
发送时间: 2022年2月24日 12:07
收件人: Reshad Rahman <[email-masked]>; [email-masked]
主题: Re: [netconf] New Version Notification for draft-liu-netconf-ext-obtain-ds-diff-00.txt

Thanks Reshad and sorry for this big mistake.

Yes, RFC9144 described the same thing with my draft but I haven't had a chance to read RFC9144 since it was published recently.

I am honored to have the same idea as RFC9144, meanwhile sorry for the mistake.

Brs

From: Reshad Rahman <reshad=[email-masked]<mailto:reshad=[email-masked]>>
Sent: Thursday, February 24, 2022 11:57 AM
To: [email-masked]<mailto:[email-masked]>; Harold Liu <[email-masked]<mailto:[email-masked]>>
Subject: Re: [netconf] New Version Notification for draft-liu-netconf-ext-obtain-ds-diff-00.txt

Hi,

Did you take a look at RFC9144?

Regards,
Reshad.

On Wednesday, February 23, 2022, 10:38:43 PM EST, Harold Liu <harold.liu=[email-masked]<mailto:harold.liu=[email-masked]>> wrote:

Dear Experts:

Recently we came across a real need - Customer's view of the current NETCONF configuration process is that it can be non-optimal because the increment of configuration change cannot be directly obtained so as to all configuration change checks need to be manually compared.  Therefore, this method is not very efficient and error-prone in many cases. The consequence of configuration error directly affects the service even if the wrong configuration is corrected quickly, it is unacceptable.

We didn't find a suitable solution in the current standards, so we'd like to have a reasonable approach - To define how to directly retrieve the differences between datastores by adding "datastore-diff" RPC to improve NETCONF usability and serviceability in this document.

The below announcement is that draft. We would like to work with the community to improve and clarify tech draft.

Brs

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, February 24, 2022 11:29 AM
To: Harold Liu <[email-masked]<mailto:[email-masked]>>; Renwang Liu <[email-masked]<mailto:[email-masked]>>
Subject: New Version Notification for draft-liu-netconf-ext-obtain-ds-diff-00.txt

A new version of I-D, draft-liu-netconf-ext-obtain-ds-diff-00.txt
has been successfully submitted by Daiying Liu and posted to the IETF repository.

Name:        draft-liu-netconf-ext-obtain-ds-diff
Revision:    00
Title:        NETCONF Extension for Datastore Differences
Document date:    2022-02-21
Group:        Individual Submission
Pages:        10
URL:            https://www.ietf.org/archive/id/draft-liu-netconf-ext-obtain-ds-diff-00.txt
Status:        https://datatracker.ietf.org/doc/draft-liu-netconf-ext-obtain-ds-diff/
Htmlized:      https://datatracker.ietf.org/doc/html/draft-liu-netconf-ext-obtain-ds-diff

Abstract:
  This document defines a "datastore-diff" RPC that returns the
  differences between two datastores in an XML-based format.

The IETF Secretariat

_______________________________________________
netconf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netconf